import { Blueprint } from "../types";

export const blueprintEntries = function (
  blueprints: Record<string, Blueprint>,
) {
  return Object.entries(blueprints)
    .filter(function ([k, v]) {
      return k !== "none";
    })
    .sort(function (a, b) {
      return a[1].title().localeCompare(b[1].title());
    });
};
