import { createContext } from "solid-js";
import { SetStoreFunction, Store } from "solid-js/store";
import { Config, State } from "../../types";

export const StateContext =
  createContext<[get: Store<State>, set: SetStoreFunction<State>]>();
export const ConfigContext =
  createContext<[get: Config, set: SetStoreFunction<Config>]>();
