export const compose = function <D, T, E extends (arg: T) => any>(
  baseLense: (arg: D) => T,
  extend: E,
) {
  return function (d: D) {
    const result = baseLense(d);
    return extend(result);
  };
};
