<p><img src="https://codeberg.org/nitropage/nitropage/raw/branch/master/packages/nitropage/assets/logo.svg" alt="Nitropage" /></p>

Nitropage is a completely free, open-source, self-hostable alternative to premium, visual drag-and-drop website builders such as [Squarespace](https://www.squarespace.com/) and [Wix](https://www.wix.com/). Write your own building blocks with [SolidJS](https://www.solidjs.com/) and enjoy the power of HMR.

**[Website](https://nitropage.com) • [Playground](https://demo.nitropage.com) • [Roadmap](https://nitropage.com/roadmap)**

## Features

- [x] Publishing Workflow with Page Revisions
- [x] Element Setting Presets
- [x] Multiple Websites on a single instance
- [x] Custom Page Elements with [SolidJS](https://www.solidjs.com/)
- [x] Powerful Developer Architecture with [Vite](https://vitejs.dev/)
- [x] Automatic sitemap.xml and Atom-feed handling 
- [ ] And [many more to come](https://nitropage.com/#roadmap)

## Playground

Try out the visual editor at https://demo.nitropage.com/admin. Your changes will be automatically cleaned up every 24 hours.

## Getting started

Check out the [Guide](https://nitropage.com/getting-started), or run one of these:

```sh
# NPM:
npm init nitropage@latest

# PNPM:
pnpm create nitropage@latest
```
