import slugify from "@sindresorhus/slugify";

export const slugifyUrl = function (url: string) {
  const marker = "xxxslashxxx";
  const markedUrl = url.replaceAll(new RegExp(" */ *", "g"), marker);
  return slugify(markedUrl).replaceAll(marker, "/");
};
