import { FlowComponent } from "solid-js";
import { css } from "../../css";

const Container: FlowComponent = function (props) {
  return (
    <div
      class={css({
        margin: "0 auto",
        padding: "0 1.5rem",
        maxWidth: "1000px",
        width: "100%",
        display: "flex",
        flexDirection: "column",
      })}
    >
      {props.children}
    </div>
  );
};

export default Container;
